Commit ca0ed8a1 authored by Nicolas Dufresne's avatar Nicolas Dufresne

Fix plugin filenames to match plugin names

- libgstpulse.so becomes libgstpulseaudio.so
- libgstsouphttpsrc.so becomes libgstsoup.so
- libgstoss4audio.so becomes libgstoss4.so

https://bugzilla.gnome.org/show_bug.cgi?id=779344
parent 98583dc9
<plugin>
<name>oss4</name>
<description>Open Sound System (OSS) version 4 support for GStreamer</description>
<filename>../../sys/oss4/.libs/libgstoss4audio.so</filename>
<basename>libgstoss4audio.so</basename>
<version>1.11.2</version>
<filename>../../sys/oss4/.libs/libgstoss4.so</filename>
<basename>libgstoss4.so</basename>
<version>1.11.2.1</version>
<license>LGPL</license>
<source>gst-plugins-good</source>
<package>GStreamer Good Plug-ins source release</package>
<package>GStreamer Good Plug-ins git</package>
<origin>Unknown package origin</origin>
<elements>
<element>
......
<plugin>
<name>pulseaudio</name>
<description>PulseAudio plugin library</description>
<filename>../../ext/pulse/.libs/libgstpulse.so</filename>
<basename>libgstpulse.so</basename>
<version>1.11.2</version>
<filename>../../ext/pulse/.libs/libgstpulseaudio.so</filename>
<basename>libgstpulseaudio.so</basename>
<version>1.11.2.1</version>
<license>LGPL</license>
<source>gst-plugins-good</source>
<package>GStreamer Good Plug-ins source release</package>
<package>GStreamer Good Plug-ins git</package>
<origin>Unknown package origin</origin>
<elements>
<element>
......
<plugin>
<name>shout2send</name>
<name>shout2</name>
<description>Sends data to an icecast server using libshout2</description>
<filename>../../ext/shout2/.libs/libgstshout2.so</filename>
<basename>libgstshout2.so</basename>
<version>1.11.2</version>
<version>1.11.2.1</version>
<license>LGPL</license>
<source>gst-plugins-good</source>
<package>libshout2</package>
......@@ -20,9 +20,9 @@
<name>sink</name>
<direction>sink</direction>
<presence>always</presence>
<details>application/ogg; audio/ogg; video/ogg; audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ]; video/webm; audio/webm</details>
<details>application/ogg; audio/ogg; video/ogg; audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ]</details>
</caps>
</pads>
</element>
</elements>
</plugin>
\ No newline at end of file
</plugin>
plugin_LTLIBRARIES = libgstpulse.la
plugin_LTLIBRARIES = libgstpulseaudio.la
libgstpulse_la_SOURCES = \
libgstpulseaudio_la_SOURCES = \
plugin.c \
pulsesink.c \
pulsesrc.c \
pulsedeviceprovider.c \
pulseutil.c
libgstpulse_la_CFLAGS = $(GST_PLUGINS_BASE_CFLAGS) $(GST_BASE_CFLAGS) $(GST_CFLAGS) $(PULSE_CFLAGS)
libgstpulse_la_LIBADD = $(GST_PLUGINS_BASE_LIBS) -lgstaudio-$(GST_API_VERSION) \
libgstpulseaudio_la_CFLAGS = $(GST_PLUGINS_BASE_CFLAGS) $(GST_BASE_CFLAGS) $(GST_CFLAGS) $(PULSE_CFLAGS)
libgstpulseaudio_la_LIBADD = $(GST_PLUGINS_BASE_LIBS) -lgstaudio-$(GST_API_VERSION) \
-lgstpbutils-$(GST_API_VERSION) \
$(GST_BASE_LIBS) $(GST_LIBS) $(PULSE_LIBS)
libgstpulse_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
libgstpulse_la_LIBTOOLFLAGS = $(GST_PLUGIN_LIBTOOLFLAGS)
libgstpulseaudio_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
libgstpulseaudio_la_LIBTOOLFLAGS = $(GST_PLUGIN_LIBTOOLFLAGS)
noinst_HEADERS = \
pulsesink.h \
......
......@@ -9,7 +9,7 @@ pulse_sources = [
libpulse_dep = dependency('libpulse', version : '>=2.0', required : false)
if libpulse_dep.found()
gstpulse = library('gstpulse',
gstpulse = library('gstpulseaudio',
pulse_sources,
c_args : gst_plugins_good_args,
include_directories : [configinc, libsinc],
......
......@@ -823,7 +823,7 @@ plugin_init (GstPlugin * plugin)
GST_PLUGIN_DEFINE (GST_VERSION_MAJOR,
GST_VERSION_MINOR,
shout2send,
shout2,
"Sends data to an icecast server using libshout2",
plugin_init,
VERSION, "LGPL", "libshout2", "http://www.icecast.org/download/")
plugin_LTLIBRARIES = libgstsouphttpsrc.la
plugin_LTLIBRARIES = libgstsoup.la
libgstsouphttpsrc_la_SOURCES = gstsouphttpsrc.c gstsouphttpclientsink.c gstsouputils.c gstsoup.c
libgstsoup_la_SOURCES = gstsouphttpsrc.c gstsouphttpclientsink.c gstsouputils.c gstsoup.c
libgstsouphttpsrc_la_CFLAGS = $(GST_PLUGINS_BASE_CFLAGS) $(GST_BASE_CFLAGS) \
libgstsoup_la_CFLAGS = $(GST_PLUGINS_BASE_CFLAGS) $(GST_BASE_CFLAGS) \
$(GST_CFLAGS) $(SOUP_CFLAGS) \
-DSOUP_VERSION_MIN_REQUIRED=SOUP_VERSION_2_48 \
-DSOUP_VERSION_MAX_ALLOWED=SOUP_DEPRECATED_IN_2_48
libgstsouphttpsrc_la_LIBADD = $(GST_PLUGINS_BASE_LIBS) -lgsttag-@GST_API_VERSION@ $(GST_BASE_LIBS) $(SOUP_LIBS)
libgstsouphttpsrc_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
libgstsouphttpsrc_la_LIBTOOLFLAGS = $(GST_PLUGIN_LIBTOOLFLAGS)
libgstsoup_la_LIBADD = $(GST_PLUGINS_BASE_LIBS) -lgsttag-@GST_API_VERSION@ $(GST_BASE_LIBS) $(SOUP_LIBS)
libgstsoup_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
libgstsoup_la_LIBTOOLFLAGS = $(GST_PLUGIN_LIBTOOLFLAGS)
noinst_HEADERS = gstsouphttpsrc.h gstsouphttpclientsink.h gstsouputils.h
......@@ -13,7 +13,7 @@ soup_args = [
libsoup_dep = dependency('libsoup-2.4', version : '>=2.48', required : false)
if libsoup_dep.found()
gstsouphttpsrc = library('gstsouphttpsrc',
gstsouphttpsrc = library('gstsoup',
soup_sources,
c_args : gst_plugins_good_args + soup_args,
link_args : noseh_link_args,
......
plugin_LTLIBRARIES = libgstoss4audio.la
plugin_LTLIBRARIES = libgstoss4.la
libgstoss4audio_la_SOURCES = \
libgstoss4_la_SOURCES = \
oss4-audio.c \
oss4-property-probe.c \
oss4-sink.c \
oss4-source.c
libgstoss4audio_la_CFLAGS = $(GST_PLUGINS_BASE_CFLAGS) $(GST_CFLAGS)
libgstoss4audio_la_LIBADD = \
libgstoss4_la_CFLAGS = $(GST_PLUGINS_BASE_CFLAGS) $(GST_CFLAGS)
libgstoss4_la_LIBADD = \
$(GST_PLUGINS_BASE_LIBS) \
-lgstaudio-$(GST_API_VERSION) \
$(GST_LIBS)
libgstoss4audio_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
libgstoss4audio_la_LIBTOOLFLAGS = $(GST_PLUGIN_LIBTOOLFLAGS)
libgstoss4_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
libgstoss4_la_LIBTOOLFLAGS = $(GST_PLUGIN_LIBTOOLFLAGS)
noinst_HEADERS = \
oss4-audio.h \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment